<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cy__pdl_8h" kind="file" language="C++">
    <compoundname>cy_pdl.h</compoundname>
    <includes local="yes">cy_device.h</includes>
    <includes local="yes">cy_device_headers.h</includes>
    <includes local="yes" refid="cy__ble__clk_8h">cy_ble_clk.h</includes>
    <includes local="yes" refid="cy__canfd_8h">cy_canfd.h</includes>
    <includes local="yes" refid="cy__crypto_8h">cy_crypto.h</includes>
    <includes local="yes" refid="cy__crypto__core_8h">cy_crypto_core.h</includes>
    <includes local="yes" refid="cy__crypto__server_8h">cy_crypto_server.h</includes>
    <includes local="yes" refid="cy__csd_8h">cy_csd.h</includes>
    <includes local="yes" refid="cy__ctb_8h">cy_ctb.h</includes>
    <includes local="yes" refid="cy__ctdac_8h">cy_ctdac.h</includes>
    <includes local="yes" refid="cy__dma_8h">cy_dma.h</includes>
    <includes local="yes" refid="cy__dmac_8h">cy_dmac.h</includes>
    <includes local="yes" refid="cy__efuse_8h">cy_efuse.h</includes>
    <includes local="yes" refid="cy__flash_8h">cy_flash.h</includes>
    <includes local="yes" refid="cy__gpio_8h">cy_gpio.h</includes>
    <includes local="yes" refid="cy__i2s_8h">cy_i2s.h</includes>
    <includes local="yes" refid="cy__ipc__drv_8h">cy_ipc_drv.h</includes>
    <includes local="yes" refid="cy__ipc__pipe_8h">cy_ipc_pipe.h</includes>
    <includes local="yes" refid="cy__ipc__sema_8h">cy_ipc_sema.h</includes>
    <includes local="yes" refid="cy__lpcomp_8h">cy_lpcomp.h</includes>
    <includes local="yes" refid="cy__lvd_8h">cy_lvd.h</includes>
    <includes local="yes" refid="cy__mcwdt_8h">cy_mcwdt.h</includes>
    <includes local="yes" refid="cy__pdm__pcm_8h">cy_pdm_pcm.h</includes>
    <includes local="yes" refid="cy__pra_8h">cy_pra.h</includes>
    <includes local="yes" refid="cy__pra__cfg_8h">cy_pra_cfg.h</includes>
    <includes local="yes" refid="cy__profile_8h">cy_profile.h</includes>
    <includes local="yes" refid="cy__prot_8h">cy_prot.h</includes>
    <includes local="yes" refid="cy__rtc_8h">cy_rtc.h</includes>
    <includes local="yes" refid="cy__sar_8h">cy_sar.h</includes>
    <includes local="yes" refid="cy__scb__ezi2c_8h">cy_scb_ezi2c.h</includes>
    <includes local="yes" refid="cy__scb__i2c_8h">cy_scb_i2c.h</includes>
    <includes local="yes" refid="cy__scb__spi_8h">cy_scb_spi.h</includes>
    <includes local="yes" refid="cy__scb__uart_8h">cy_scb_uart.h</includes>
    <includes local="yes" refid="cy__sd__host_8h">cy_sd_host.h</includes>
    <includes local="yes" refid="cy__seglcd_8h">cy_seglcd.h</includes>
    <includes local="yes" refid="cy__smartio_8h">cy_smartio.h</includes>
    <includes local="yes" refid="cy__smif_8h">cy_smif.h</includes>
    <includes local="yes" refid="cy__smif__memslot_8h">cy_smif_memslot.h</includes>
    <includes local="yes" refid="cy__sysanalog_8h">cy_sysanalog.h</includes>
    <includes local="yes" refid="cy__sysclk_8h">cy_sysclk.h</includes>
    <includes local="yes" refid="cy__sysint_8h">cy_sysint.h</includes>
    <includes local="yes" refid="cy__syslib_8h">cy_syslib.h</includes>
    <includes local="yes" refid="cy__syspm_8h">cy_syspm.h</includes>
    <includes local="yes" refid="cy__systick_8h">cy_systick.h</includes>
    <includes local="yes" refid="cy__tcpwm__counter_8h">cy_tcpwm_counter.h</includes>
    <includes local="yes" refid="cy__tcpwm__pwm_8h">cy_tcpwm_pwm.h</includes>
    <includes local="yes" refid="cy__tcpwm__quaddec_8h">cy_tcpwm_quaddec.h</includes>
    <includes local="yes" refid="cy__tcpwm__shiftreg_8h">cy_tcpwm_shiftreg.h</includes>
    <includes local="yes" refid="cy__trigmux_8h">cy_trigmux.h</includes>
    <includes local="yes" refid="cy__usbfs__dev__drv_8h">cy_usbfs_dev_drv.h</includes>
    <includes local="yes" refid="cy__wdt_8h">cy_wdt.h</includes>
    <incdepgraph>
      <node id="325">
        <label>cy_device.h</label>
      </node>
      <node id="324">
        <label>cy_pdl.h</label>
        <link refid="cy__pdl_8h" />
        <childnode refid="325" relation="include">
        </childnode>
        <childnode refid="326" relation="include">
        </childnode>
      </node>
      <node id="326">
        <label>cy_device_headers.h</label>
      </node>
    </incdepgraph>
      <sectiondef kind="define">
      <memberdef id="cy__pdl_8h_1ab2d34f7012d6cab234ddff30b21c1b62" kind="define" prot="public" static="no">
        <name>CY_PDL_VERSION_MAJOR</name>
        <initializer>1</initializer>
        <briefdescription>
<para>Driver Library major version. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pdl.h" bodystart="83" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pdl.h" line="83" />
      </memberdef>
      <memberdef id="cy__pdl_8h_1a3ef2814341606404f305e7ce8af382cb" kind="define" prot="public" static="no">
        <name>CY_PDL_VERSION_MINOR</name>
        <initializer>6</initializer>
        <briefdescription>
<para>Driver Library minor version. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pdl.h" bodystart="86" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pdl.h" line="86" />
      </memberdef>
      <memberdef id="cy__pdl_8h_1a10410e986f68bc5276ef823b75dcc413" kind="define" prot="public" static="no">
        <name>CY_PDL_VERSION</name>
        <initializer>106</initializer>
        <briefdescription>
<para>Driver Library version. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pdl.h" bodystart="89" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pdl.h" line="89" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
<para><simplesect kind="version"><para>1.10</para></simplesect>
Include this file in all of your source files that access PDL.</para><para><simplesect kind="copyright"><para>Copyright 2018-2019 Cypress Semiconductor Corporation SPDX-License-Identifier: Apache-2.0</para></simplesect>
Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at <verbatim>http://www.apache.org/licenses/LICENSE-2.0
</verbatim></para><para>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="25"><highlight class="preprocessor">#ifndef<sp />CY_PDL_H</highlight><highlight class="normal" /></codeline>
<codeline lineno="26"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_PDL_H</highlight><highlight class="normal" /></codeline>
<codeline lineno="27"><highlight class="normal" /></codeline>
<codeline lineno="28"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_device.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="29"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_device_headers.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="30"><highlight class="normal" /></codeline>
<codeline lineno="31"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_ble_clk.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="32"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_canfd.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="33"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_crypto.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="34"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_crypto_core.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="35"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_crypto_server.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="36"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_csd.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="37"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_ctb.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="38"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_ctdac.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="39"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_dma.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="40"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_dmac.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="41"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_efuse.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="42"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_flash.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="43"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_gpio.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="44"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_i2s.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="45"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_ipc_drv.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="46"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_ipc_pipe.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="47"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_ipc_sema.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="48"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_lpcomp.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="49"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_lvd.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="50"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_mcwdt.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="51"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_pdm_pcm.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="52"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_pra.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="53"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_pra_cfg.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="54"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_profile.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="55"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_prot.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="56"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_rtc.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="57"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_sar.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="58"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_scb_ezi2c.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="59"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_scb_i2c.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="60"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_scb_spi.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="61"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_scb_uart.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="62"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_sd_host.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="63"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_seglcd.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="64"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_smartio.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="65"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_smif.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="66"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_smif_memslot.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="67"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_sysanalog.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="68"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_sysclk.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="69"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_sysint.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="70"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_syslib.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="71"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_syspm.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="72"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_systick.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="73"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_tcpwm_counter.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="74"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_tcpwm_pwm.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="75"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_tcpwm_quaddec.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="76"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_tcpwm_shiftreg.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="77"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_trigmux.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="78"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_usbfs_dev_drv.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="79"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_wdt.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="80"><highlight class="normal" /></codeline>
<codeline lineno="81"><highlight class="normal" /></codeline>
<codeline lineno="83"><highlight class="preprocessor">#define<sp />CY_PDL_VERSION_MAJOR<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />1</highlight><highlight class="normal" /></codeline>
<codeline lineno="84"><highlight class="normal" /></codeline>
<codeline lineno="86"><highlight class="preprocessor">#define<sp />CY_PDL_VERSION_MINOR<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />6</highlight><highlight class="normal" /></codeline>
<codeline lineno="87"><highlight class="normal" /></codeline>
<codeline lineno="89"><highlight class="preprocessor">#define<sp />CY_PDL_VERSION<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />106</highlight><highlight class="normal" /></codeline>
<codeline lineno="90"><highlight class="normal" /></codeline>
<codeline lineno="91"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />CY_PDL_H<sp />*/</highlight><highlight class="preprocessor" /></codeline>
    </programlisting>
    <location file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pdl.h" />
  </compounddef>
</doxygen>